```
def FN_difusion(n=200, a=0.2, b=3, Epsilon=0.01, r_v=0.4, r_w=0.01, 
                eta=0.005, r=10, iter=20000 ):
    "Los parametros son"
    
    numero_eventos = 0
    # Cálculo del número de iteraciones que dejaremos entre una grabación del
    # estado del sistema y el siguiente. La idea es que podamos cambiar el 
    # número de iteraciones y en cualquier caso nos quedemos con el estado 
    # a intervalos regulares con un máximo de 500 estados grabados.
    if (iter/500)<1:
        delta_registro = iter
    else:
        delta_registro = int(iter/500)
    
    
    # Creacción y planteamiento de los vectores que contienen las celulas
    # En lugar de crear 2 vectores diferenciados voy a utilizar un "structured 
    # array" de numpy. El código resulta más limpio
    Z = np.zeros((n+2), [('V', np.double), ('W', np.double)])
    V,W = Z['V'], Z['W']
    v,w = V[1:-1], W[1:-1]

    # r es el número de celdas alrededor de la central a las aplicamos una ex-
    #citacion (finalmente serán 10)
    
    #r = 10  --> No es necesario puesto que viene como parámetro de la función
    
    v[...] = 0.0
    V[int(n/2)-r:int(n/2)+r] = -0.2
    W[int(n/2)-r:int(n/2)+r] = -0.3
    v += 0.01*np.random.random(n)
    w += 0.01*np.random.random(n)

    v_graf = np.zeros((1,n))


    for i in range(iter):
        Dif_v = (V[:-2] - 2*V[1:-1] + V[2:])
        Dif_w = (W[:-2] - 2*W[1:-1] + W[2:])

        Reac_v = v * (v-a) * (1-v) - w
        Reac_w = Epsilon * (v - b * w)

        v += r_v * Dif_v + eta * Reac_v
        w += r_w * Dif_w + eta * Reac_w

        V[0] = V[-2]
        V[-1] = V[1]
        W[0] = W[-2]
        W[-1] = W[1]
             
        if i%delta_registro == 0:    
            v_graf = np.append(v_graf, v)
            numero_eventos+= 1
    
    ## Dibujamos los resultados para v
    #plt.plot(v)
    
    matriz = v_graf.reshape((numero_eventos+1, 200))
    plt.pcolor(matriz)
    plt.colorbar()
    plt.xlabel("# Celda")
    plt.ylabel(r'$40 \cdot \Delta \tau$')
    
    return()
```